import { EventEmitter, OnInit } from "@angular/core";
import { StiModelService } from "../../../services/model.service";
import { StiCheckBoxColumnItem } from "../../../elements/table/columns/StiCheckBoxColumnItem";
export declare class StiTableCheckboxComponent implements OnInit {
    model: StiModelService;
    item: StiCheckBoxColumnItem;
    index: number;
    object: any;
    disabled: boolean;
    isClone: boolean;
    alignment: string;
    buttonClick: EventEmitter<any>;
    get cell(): import("../../../elements/table/cells/StiCheckBoxCellItem").StiCheckBoxCellItem;
    constructor(model: StiModelService);
    changeState(): void;
    ngOnInit(): void;
    get tabIndex(): any;
}
